[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'SQLDB' (#fcl)

# TSQLSequence.Assign

Assign one TSQLSequence to another

## Declaration

Source position: sqldb.pp line 458

`public procedure TSQLSequence.Assign(`
`Source: TPersistent`
`); override;`

## Arguments

`Source` |  | Object to assign properties from

## Description

Assign is overridden by TSQLSequence to copy all properties from one instance to another.

## Errors

None.

## See also

TSQLSequence.FieldName |  | Field to apply sequence to
TSQLSequence.SequenceName |  | Sequence name to get values from
TSQLSequence.IncrementBy |  | Value to increment sequence with